# Navigation

- [Return to last screen](https://docs.apphive.io/reference/funciones/navigation-e/return-to-last-screen.md): The return to last screen function loads the previous screen in your application, it's the same as clicking the "back button" in your browser.
- [Push screen](https://docs.apphive.io/reference/funciones/navigation-e/push-screen.md): The push screen function loads the screen that you set in the page transition in the entry vars.
- [replaceTopPage](https://docs.apphive.io/reference/funciones/navigation-e/replacetoppage.md)
- [Replace screen](https://docs.apphive.io/reference/funciones/navigation-e/replace-screen.md): The Replace screen function loads the screen you set in the page transition var input, but the user cannot return to the last screen.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/reference/funciones/navigation-e.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
